Package org.apache.jmeter.report.processor.graph

# Class TimeStampKeysSelector

java.lang.Object
org.apache.jmeter.report.processor.graph.TimeStampKeysSelector

All Implemented Interfaces:
  `SampleSelector<Double>`, `GraphKeysSelector`

public class TimeStampKeysSelector extends Object implements GraphKeysSelector
The class TimeStampKeysSelector provides a projection from a sample to its begin or end time.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeStampKeysSelector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getGranularity()`
  Gets the granularity.
  `Double`
  `select(Sample sample)`
  Do the projection from the specified sample
  `final boolean`
  `selectsBeginTime()`
  Gets a status defining whether the projection is done with the begin or end time of the sample.
  `void`
  `setGranularity(long granularity)`
  Sets the granularity.
  `final void`
  `setSelectBeginTime(boolean selectBeginTime)`
  Sets the status defining whether the projection is done with the begin or end time of the sample.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeStampKeysSelector

    public TimeStampKeysSelector()

- ## Method Details

  - ### getGranularity

    public long getGranularity()
    Gets the granularity.
    Returns:
      the granularity

  - ### setGranularity

    public void setGranularity(long granularity)
    Sets the granularity.
    Parameters:
      `granularity` - the granularity to set

  - ### selectsBeginTime

    public final boolean selectsBeginTime()
    Gets a status defining whether the projection is done with the begin or end time of the sample.
    Returns:
      true if the begin time is used; false otherwise.

  - ### setSelectBeginTime

    public final void setSelectBeginTime(boolean selectBeginTime)
    Sets the status defining whether the projection is done with the begin or end time of the sample.
    Parameters:
      `selectBeginTime` - the status to set

  - ### select

    public Double select(Sample sample)
    Description copied from interface: `SampleSelector`
    Do the projection from the specified sample
    Specified by:
      `select` in interface `SampleSelector<Double>`
    Parameters:
      `sample` - the sample
    Returns:
      the projection result